﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using SPModSettings;

public class ActivateWithAirspeed_ModSettings : MonoBehaviour

{
    public static float ActivationSpeed; //speed in m/s of activation

    //MOD SETTINGS
    IModSettingsPage ReEntrySettings;
    IModSetting ActivationSpeedMS;
    // Start is called before the first frame update
    void Start()
    {
    }

    // Update is called once per frame
    void Update()
    {


        //From AntiGravity ModSettings docs, by HellFireKoder
        //Mod settings- waits until settings load 
        if (!ModSettingsHandler.ModSettingsReady)
        {   // if the mod settings aren't ready to generate settings, wait
            return;
        }
        
        if (ReEntrySettings == null || ReEntrySettings.Equals(null))
        {   // if we have no settings page\
 
            ReEntrySettings = ModSettingsHandler.AddSettingsPage("ReEntrySettings", "ReEntry Settings", "Setting for Re-Entry FX activation speed"); // generate page
            ActivationSpeedMS = ModSettingsHandler.AddSettingToPage(ReEntrySettings, "ActivationSpeed", "ActivationSpeed", ModSettingTypes.Numeric, 1000.ToString());// and settings
            SPModSettings.ModSettingsHandler.LoadSettingsForPage(ReEntrySettings); // load saved settings (if they've been saved before, otherwise defaults)
       
            
        }
        
        ActivationSpeed = float.Parse(ActivationSpeedMS.Value); //give the setting value to the variable as a float
        
    }
}